Sync Esx Info

Sync Esx Info

Api to sync Esx Info for Workload Clusters on demand. TCA automatically syncs required ESX Info for the workload clusters but if for some reason there is a notifcation miss, then this API can be called to forcefully trigger the ESX Info Sync

Request
URI
PUT
https://{api_host}/hybridity/api//infra/k8s/clusters/{id}/esxinfo
COPY
Path Parameters
string
id
Required

id


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully triggered sync of esx info for the cluster

Returns inline_response_200_1 of type(s) application/json
{
    "jobId": "string"
}
string
jobId
Optional

jobId


400

Bad Request

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "code",
            "message": "message"
        }
    ]
}
array of error
errors
Optional

errors


500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "code",
            "message": "message"
        }
    ]
}
array of error
errors
Optional

errors